Get Deployment
GET
/api/v1/deployments/{deployment_id}
const url = 'https://example.com/api/v1/deployments/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/deployments/exampleGet high-level status and metadata of a deployment.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”deployment_id
required
Deployment Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
DeploymentResponse
Deployment response.
object
id
required
Id
string
environment_id
required
Environment Id
string
git_branch
required
Git Branch
string
git_commit_sha
required
Git Commit Sha
string
status
required
Status
string
created_at
required
Created At
string
Examplegenerated
{ "id": "example", "deployment_name": "example", "environment_id": "example", "git_branch": "example", "git_commit_sha": "example", "status": "example", "job_run_id": "example", "created_at": "example", "started_at": "example", "completed_at": "example", "initiated_by": "example", "error_message": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}